等效于 C 的 `signed long` (`long`) 类型。

此类型将始终为 [`i32`] 或 [`i64`]。最值得注意的是，许多基于 Linux 的系统都使用 `i64`，但 Windows 则使用 `i32`。从技术上讲，C 标准仅要求该类型为至少 32 位且至少为 [`int`] 大小的有符号整数，尽管实际上，没有系统会拥有既不是 `i32` 也不是 `i64` 的 `long`。

[`int`]: c_int
