//! WASI-specific extensions to primitives in the [`std::ffi`] module <br>特定于 WASI 的 [`std::ffi`] 模块中原语的扩展<br>
//!
//! [`std::ffi`]: crate::ffi

#![stable(feature = "rust1", since = "1.0.0")]

#[path = "../unix/ffi/os_str.rs"]
mod os_str;

#[stable(feature = "rust1", since = "1.0.0")]
pub use self::os_str::{OsStrExt, OsStringExt};
