// 该模块包含在所有平台之间共享的代码，主要是实用程序或回退代码。
// 这明确不包括仅在少数平台之间共享的代码，例如当重用来自 `unix` 或 `unsupported` 的实现时。
// 在这些情况下，应使用 #[path] 属性直接包含所需的代码，而不是移动到此模块中。
//
// 目前 `sys_common` 包含很多应该存在于这个模块中的代码，理想情况下 `sys_common` 将只包含在 `sys` 之上的与平台无关的抽象。
//
// 在 #84187 中跟踪了这方面的进展。
//
//

#![allow(dead_code)]

pub mod alloc;
