stdarch - Rust's standard library SIMD components <br>stdarch-Rust 的标准库 SIMD 组件<br>
=======

[![Actions Status](https://github.com/rust-lang/stdarch/workflows/CI/badge.svg)](https://github.com/rust-lang/stdarch/actions)

# Crates

This repository contains two main crates: <br>该仓库包含两个主要的 crates：<br>

* [`core_arch`](crates/core_arch/README.md) implements `core::arch` - Rust's core library architecture-specific intrinsics, and <br>[`core_arch`](crates/core_arch/README.md) 实现了 `core::arch` - Rust 的核心库架构特定的内部函数，以及<br>
  
* [`std_detect`](crates/std_detect/README.md) implements `std::detect` - Rust's standard library run-time CPU feature detection. <br>[`std_detect`](crates/std_detect/README.md) 实现了 `std::detect` - Rust 的标准库运行时 CPU 特性检测。<br>


The `std::simd` component now lives in the [`packed_simd_2`](https://github.com/rust-lang/packed_simd) crate. <br>`std::simd` 组件现在位于 [`packed_simd_2`](https://github.com/rust-lang/packed_simd) crate 中。<br>
