//! Access types available on all architectures <br>所有架构上可用的访问类型<br>

/// Full system is the required shareability domain, reads and writes are the required access types <br>完整的系统是必需的可共享性域，读写是必需的访问类型<br>
///
pub struct SY;

dmb_dsb!(SY);

impl super::super::sealed::Isb for SY {
    #[inline(always)]
    unsafe fn __isb(&self) {
        super::isb(super::arg::SY)
    }
}
