//! v7 和 v8 上可用的访问类型，但在 v7(E)-M 或 v8-M 上不可用

/// 完整的系统是必需的共享域，写入是必需的访问类型
///
pub struct ST;

dmb_dsb!(ST);

/// 内部共享是必需的共享域，读写是必需的访问类型
///
pub struct ISH;

dmb_dsb!(ISH);

/// 内部共享是必需的共享域，写入是必需的访问类型
///
pub struct ISHST;

dmb_dsb!(ISHST);

/// 不可共享是必需的共享域，读写是必需的访问类型
///
pub struct NSH;

dmb_dsb!(NSH);

/// 不可共享是必需的共享域，写入是必需的访问类型
///
pub struct NSHST;

dmb_dsb!(NSHST);

/// 外部共享是必需的共享域，读写是必需的访问类型
///
pub struct OSH;

dmb_dsb!(OSH);

/// 外部共享是必需的共享域，写入是必需的访问类型
///
pub struct OSHST;

dmb_dsb!(OSHST);
