/// Base Priority Mask Register <br>基本优先级掩码寄存器<br>
pub struct BASEPRI;

rsr!(BASEPRI);
wsr!(BASEPRI);

/// Base Priority Mask Register (conditional write) <br>基本优先级掩码寄存器 (有条件写入)<br>
#[allow(non_camel_case_types)]
pub struct BASEPRI_MAX;

wsr!(BASEPRI_MAX);

/// Fault Mask Register <br>故障屏蔽寄存器<br>
pub struct FAULTMASK;

rsr!(FAULTMASK);
wsr!(FAULTMASK);
