//! MIPS

// Building this module (even if unused) for non-fp64 targets fails with an LLVM error. <br>为非 fp64 目标构建此模块 (即使未使用) 也失败，并显示 LLVM 错误。<br>
//
#[cfg(target_feature = "fp64")]
mod msa;
#[cfg(target_feature = "fp64")]
pub use self::msa::*;

#[cfg(test)]
use stdarch_test::assert_instr;

/// Generates the trap instruction `BREAK` <br>生成陷阱指令 `BREAK`<br>
#[cfg_attr(test, assert_instr(break))]
#[inline]
pub unsafe fn break_() -> ! {
    crate::intrinsics::abort()
}
