//! Run-time feature detection on MIPS. <br>MIPS 上的运行时特性检测。<br>

features! {
    @TARGET: mips;
    @CFG: target_arch = "mips";
    @MACRO_NAME: is_mips_feature_detected;
    @MACRO_ATTRS:
    /// Checks if `mips` feature is enabled. <br>检查是否启用了 `mips` 特性。<br>
    #[unstable(feature = "stdsimd", issue = "27731")]
    @FEATURE: #[unstable(feature = "stdsimd", issue = "27731")] msa: "msa";
    /// MIPS SIMD Architecture (MSA) <br>MIPS SIMD 架构 (MSA)<br>
}
