//! MIPS64 上的运行时特性检测。

features! {
    @TARGET: mips64;
    @CFG: target_arch = "mips64";
    @MACRO_NAME: is_mips64_feature_detected;
    @MACRO_ATTRS:
    /// 检查是否启用了 `mips64` 特性。
    #[unstable(feature = "stdsimd", issue = "27731")]
    @FEATURE: #[unstable(feature = "stdsimd", issue = "27731")] msa: "msa";
    /// MIPS SIMD 架构 (MSA)
}
