//! Run-time feature detection on MIPS64. <br>MIPS64 上的运行时特性检测。<br>

features! {
    @TARGET: mips64;
    @CFG: target_arch = "mips64";
    @MACRO_NAME: is_mips64_feature_detected;
    @MACRO_ATTRS:
    /// Checks if `mips64` feature is enabled. <br>检查是否启用了 `mips64` 特性。<br>
    #[unstable(feature = "stdsimd", issue = "27731")]
    @FEATURE: #[unstable(feature = "stdsimd", issue = "27731")] msa: "msa";
    /// MIPS SIMD Architecture (MSA) <br>MIPS SIMD 架构 (MSA)<br>
}
