//! Run-time feature detection on PowerPC. <br>PowerPC 上的运行时特性检测。<br>

features! {
    @TARGET: powerpc;
    @CFG: target_arch = "powerpc";
    @MACRO_NAME: is_powerpc_feature_detected;
    @MACRO_ATTRS:
    /// Checks if `powerpc` feature is enabled. <br>检查是否启用了 `powerpc` 特性。<br>
    #[unstable(feature = "stdsimd", issue = "27731")]
    @FEATURE: #[unstable(feature = "stdsimd", issue = "27731")] altivec: "altivec";
    /// Altivec
    @FEATURE: #[unstable(feature = "stdsimd", issue = "27731")] vsx: "vsx";
    /// VSX
    @FEATURE: #[unstable(feature = "stdsimd", issue = "27731")] power8: "power8";
    /// Power8
}
