# Neon intrinsic code generator <br>Neon 内在代码生成器<br>

A small tool that allows to quickly generate intrinsics for the NEON architecture. <br>一个小工具，可以快速生成 NEON 体系结构的内部函数。<br>

The specification for the intrinsics can be found in `neon.spec`. <br>内在规范可以在 `neon.spec` 中找到。<br>

To run and re-generate the code run the following from the root of the `stdarch` crate. <br>要运行并重新生成代码，请从 `stdarch` crate 的根目录运行以下代码。<br>

```
OUT_DIR=`pwd`/crates/core_arch cargo run -p stdarch-gen -- crates/stdarch-gen/neon.spec
```
