#![allow(non_camel_case_types)]

use crate::simd::Simd;

/// 两个 `usize` 值的 Vector
pub type usizex2 = Simd<usize, 2>;

/// 四个 `usize` 值的 Vector
pub type usizex4 = Simd<usize, 4>;

/// 八个 `usize` 值的 Vector
pub type usizex8 = Simd<usize, 8>;

/// 两个 `u16` 值的 Vector
pub type u16x2 = Simd<u16, 2>;

/// 四个 `u16` 值的 Vector
pub type u16x4 = Simd<u16, 4>;

/// 八个 `u16` 值的 Vector
pub type u16x8 = Simd<u16, 8>;

/// 16 个 `u16` 值的 Vector
pub type u16x16 = Simd<u16, 16>;

/// 32 个 `u16` 值的 Vector
pub type u16x32 = Simd<u16, 32>;

/// 两个 `u32` 值的 Vector
pub type u32x2 = Simd<u32, 2>;

/// 四个 `u32` 值的 Vector
pub type u32x4 = Simd<u32, 4>;

/// 八个 `u32` 值的 Vector
pub type u32x8 = Simd<u32, 8>;

/// 16 个 `u32` 值的 Vector
pub type u32x16 = Simd<u32, 16>;

/// 两个 `u64` 值的 Vector
pub type u64x2 = Simd<u64, 2>;

/// 四个 `u64` 值的 Vector
pub type u64x4 = Simd<u64, 4>;

/// 八个 `u64` 值的 Vector
pub type u64x8 = Simd<u64, 8>;

/// 四个 `u8` 值的 Vector
pub type u8x4 = Simd<u8, 4>;

/// 八个 `u8` 值的 Vector
pub type u8x8 = Simd<u8, 8>;

/// 16 个 `u8` 值的 Vector
pub type u8x16 = Simd<u8, 16>;

/// 32 个 `u8` 值的 Vector
pub type u8x32 = Simd<u8, 32>;

/// 64 个 `u8` 值的 Vector
pub type u8x64 = Simd<u8, 64>;
