# The `rustc-std-workspace-core` crate <br>`rustc-std-workspace-core` crate<br>

This crate is a shim and empty crate which simply depends on `libcore` and reexports all of its contents. <br>crate 是一个填充码，空的 crate 仅依赖于 `libcore` 并重导出其所有内容。<br>
The crate is the crux of empowering the standard library to depend on crates from crates.io <br>crate 是授权标准库依赖 crates.io 的 crates 的关键<br>

Crates on crates.io that the standard library depend on need to depend on the `rustc-std-workspace-core` crate from crates.io, which is empty. <br>标准库所依赖的 crates.io 上的 Crates 需要依赖于 crates.io 上的 `rustc-std-workspace-core` crate，它为空。<br>

We use `[patch]` to override it to this crate in this repository. <br>我们使用 `[patch]` 将其覆盖到此仓库中的 crate。<br>
As a result, crates on crates.io will draw a dependency edge to `libcore`, the version defined in this repository. <br>结果，crates.io 上的 crates 将向该仓库中定义的版本 `libcore` 绘制一个依赖项 edge。<br>
That should draw all the dependency edges to ensure Cargo builds crates successfully! <br>那应该绘制所有依赖项 edges，以确保 Cargo 成功构建 crates!<br>

Note that crates on crates.io need to depend on this crate with the name `core` for everything to work correctly. <br>请注意，crates.io 上的 crates 必须依赖于名称为 `core` 的 crate 才能正常工作。<br> To do that they can use: <br>为此，他们可以使用：<br>

```toml
core = { version = "1.0.0", optional = true, package = 'rustc-std-workspace-core' }
```

Through the use of the `package` key the crate is renamed to `core`, meaning it'll look like <br>通过使用 `package` 键，crate 重命名为 `core`，这意味着它看起来像<br>

```
--extern core=.../librustc_std_workspace_core-XXXXXXX.rlib
```

when Cargo invokes the compiler, satisfying the implicit `extern crate core` directive injected by the compiler. <br>当 Cargo 调用编译器时，满足了编译器注入的隐式 `extern crate core` 指令。<br>
