//! 拥有和借用类 Unix 文件描述符。

#![stable(feature = "io_safety", since = "1.63.0")]
#![deny(unsafe_op_in_unsafe_fn)]

// `RawFd`、`AsRawFd` 等
pub mod raw;

// `OwnedFd`、`AsFd` 等
pub mod owned;

// `AsRawFd` 等网络类型的实现。
mod net;

#[cfg(test)]
mod tests;
