#![stable(feature = "rust1", since = "1.0.0")]

pub mod ffi;

/// A prelude for conveniently writing platform-specific code. <br>prelude，用于方便地编写平台特定的代码。<br>
///
/// Includes all extension traits, and some important type definitions. <br>包括所有扩展名 traits 和一些重要的类型定义。<br>
#[stable(feature = "rust1", since = "1.0.0")]
pub mod prelude {
    #[doc(no_inline)]
    #[stable(feature = "rust1", since = "1.0.0")]
    pub use super::ffi::{OsStrExt, OsStringExt};
}
