use crate::mem::size_of;
use crate::os::unix::io::RawFd;

#[test]
fn test_raw_fd_layout() {
    // `OwnedFd` 和 `BorrowedFd` 使用 `rustc_layout_scalar_valid_range_start` 和 `rustc_layout_scalar_valid_range_end`，其值取决于 `RawFd` 的位宽。
    // 如果这种情况发生变化，则需要更新这些值。
    //
    //
    assert_eq!(size_of::<RawFd>(), 4);
}
