// This module contains code that is shared between all platforms, mostly utility or fallback code. <br>该模块包含在所有平台之间共享的代码，主要是实用程序或回退代码。<br>
// This explicitly does not include code that is shared between only a few platforms, such as when reusing an implementation from `unix` or `unsupported`. <br>这明确不包括仅在少数平台之间共享的代码，例如当重用来自 `unix` 或 `unsupported` 的实现时。<br>
// In those cases the desired code should be included directly using the #[path] attribute, not moved to this module. <br>在这些情况下，应使用 #[path] 属性直接包含所需的代码，而不是移动到此模块中。<br>
//
// Currently `sys_common` contains a lot of code that should live in this module, ideally `sys_common` would only contain platform-independent abstractions on top of `sys`. <br>目前 `sys_common` 包含很多应该存在于这个模块中的代码，理想情况下 `sys_common` 将只包含在 `sys` 之上的与平台无关的抽象。<br>
//
// Progress on this is tracked in #84187. <br>在 #84187 中跟踪了这方面的进展。<br>
//
//

#![allow(dead_code)]

pub mod alloc;
