use super::{Header, MIN_ALIGN};
use crate::mem;

#[test]
fn alloc_header() {
    // Header must fit in the padding before an aligned pointer <br>标题必须适合对齐指针之前的填充<br>
    assert!(mem::size_of::<Header>() <= MIN_ALIGN);
    assert!(mem::align_of::<Header>() <= MIN_ALIGN);
}
