//! Access types available on v7 and v8 but not on v7(E)-M or v8-M <br>v7 和 v8 上可用的访问类型，但在 v7(E)-M 或 v8-M 上不可用<br>

/// Full system is the required shareability domain, writes are the required access type <br>完整的系统是必需的共享域，写入是必需的访问类型<br>
///
pub struct ST;

dmb_dsb!(ST);

/// Inner Shareable is the required shareability domain, reads and writes are the required access types <br>内部共享是必需的共享域，读写是必需的访问类型<br>
///
pub struct ISH;

dmb_dsb!(ISH);

/// Inner Shareable is the required shareability domain, writes are the required access type <br>内部共享是必需的共享域，写入是必需的访问类型<br>
///
pub struct ISHST;

dmb_dsb!(ISHST);

/// Non-shareable is the required shareability domain, reads and writes are the required access types <br>不可共享是必需的共享域，读写是必需的访问类型<br>
///
pub struct NSH;

dmb_dsb!(NSH);

/// Non-shareable is the required shareability domain, writes are the required access type <br>不可共享是必需的共享域，写入是必需的访问类型<br>
///
pub struct NSHST;

dmb_dsb!(NSHST);

/// Outer Shareable is the required shareability domain, reads and writes are the required access types <br>外部共享是必需的共享域，读写是必需的访问类型<br>
///
pub struct OSH;

dmb_dsb!(OSH);

/// Outer Shareable is the required shareability domain, writes are the required access type <br>外部共享是必需的共享域，写入是必需的访问类型<br>
///
pub struct OSHST;

dmb_dsb!(OSHST);
