/// 控制寄存器
pub struct CONTROL;

rsr!(CONTROL);
wsr!(CONTROL);

/// 执行程序状态寄存器
pub struct EPSR;

rsr!(EPSR);

/// 中断程序状态寄存器
pub struct IPSR;

rsr!(IPSR);

/// 主栈指针
pub struct MSP;

rsrp!(MSP);
wsrp!(MSP);

/// 优先级掩码寄存器
pub struct PRIMASK;

rsr!(PRIMASK);
wsr!(PRIMASK);

/// 进程栈指针
pub struct PSP;

rsrp!(PSP);
wsrp!(PSP);

/// 程序状态寄存器
#[allow(non_camel_case_types)]
pub struct xPSR;

rsr!(xPSR);
