//! Bit manipulation utilities. <br>位操作实用程序。<br>

/// Tests the `bit` of `x`. <br>测试 `x` 的 `bit`。<br>
#[allow(dead_code)]
#[inline]
pub(crate) fn test(x: usize, bit: u32) -> bool {
    debug_assert!(bit < usize::BITS, "bit index out-of-bounds");
    x & (1 << bit) != 0
}
