//! 位操作实用程序。

/// 测试 `x` 的 `bit`。
#[allow(dead_code)]
#[inline]
pub(crate) fn test(x: usize, bit: u32) -> bool {
    debug_assert!(bit < usize::BITS, "bit index out-of-bounds");
    x & (1 << bit) != 0
}
