use super::*;

#[test]
#[ignore = "buildbots don't have ncurses installed and I can't mock everything I need"]
fn test_get_dbpath_for_term() {
    // woefully inadequate test coverage <br>严重不足的测试覆盖率<br>
    // note: current tests won't work with non-standard terminfo hierarchies (e.g., macOS's) <br>当前的测试不适用于非标准的 terminfo 层次结构 (例如 macOS)<br>
    use std::env;
    // FIXME (#9639): This needs to handle non-utf8 paths <br>这需要处理非 utf8 路径<br>
    fn x(t: &str) -> String {
        let p = get_dbpath_for_term(t).expect("no terminfo entry found");
        p.to_str().unwrap().to_string()
    }
    assert!(x("screen") == "/usr/share/terminfo/s/screen");
    assert!(get_dbpath_for_term("") == None);
    env::set_var("TERMINFO_DIRS", ":");
    assert!(x("screen") == "/usr/share/terminfo/s/screen");
    env::remove_var("TERMINFO_DIRS");
}
